/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package yacy.event;

import yacy.Peer;
/**
 * <p>This event is thrown when a setting or value has changed.</p>
 */
public class PeerEvent {
	
	private String peerName = null;
	private String peerURL = null;
	private Peer peer = null;
	
	public PeerEvent() {  }
	
	public Peer getPeer() { return this.peer; }
	public String getPeerName() { return this.peerName; }
	public String getPeerURL() { return this.peerURL; }
	
	public void setPeer(Peer peer) {
		this.peer = peer;
	}
	public void setPeerName(String peerName) {
		this.peerName = peerName;
	}
	public void setPeerURL(String peerURL) {
		this.peerURL = peerURL;
	}
}
