/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package views;

import yacy.Peer;
import general.Config;

public interface TrayPlugin extends Plugin {
	
	/**
	 * Do final initializations. This function is called directly after instantiation.
	 * 
	 * @param peer the Peer-Object which offers all currently accessible data from the
	 * connected YaCy peer. Save it privately to be able to access the peer while the
	 * plugin is active.
	 * @param cfg the global Config-Object of yacy-admin
	 */
	public void init(Peer peer, Config cfg);
}
