/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package yacy.datatypes;

public class Bookmark {
	
	private String title = null;
	private String description = null;
	private String url = null;
	private String urlHash = null;
	private String date = null;
	private String[] tags = null;
	
	public Bookmark(String title, String description, String url, String date, String[] tags) {
		this.title = title;
		this.description = description;
		this.url = url;
		this.date = date;
		this.tags = tags;
	}
	
	public Bookmark(String title, String description, String url, String urlHash, String date, String[] tags) {
		this.title = title;
		this.description = description;
		this.url = url;
		this.urlHash = urlHash;
		this.date = date;
		this.tags = tags;
	}
	
	public String 	getTitle() 			{ return this.title; }
	public String	getDescription() 	{ return this.description; }
	public String 	getURL() 			{ return this.url; }
	public String	getUrlHash()		{ return this.urlHash; }
	public String 	getDate() 			{ return this.date; }
	public String[]	getTags()			{ return this.tags; }
}
