/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package yacy.event;

public class PeerSettingChangedEvent extends PeerEvent {
	
	private Object oldSetting = null;
	private Object newSetting = null;
	private String description = null;
	
	public PeerSettingChangedEvent(String description, Object oldSetting, Object newSetting) {
		this.description = description;
		this.oldSetting = oldSetting;
		this.newSetting = newSetting;
	}
	
	public String getDescription() { return this.description; }
	public Object getOldSetting() { return this.oldSetting; }
	public Object getNewSetting() { return this.newSetting; }
	
	public void setDescription(String description) { this.description = description; }
	public void setOldSetting(Object oldSetting) { this.oldSetting = oldSetting; }
	public void setNewSetting(Object newSetting) { this.newSetting = newSetting; }
}
