/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package yacy.exceptions;

public class PLoginWrongEx extends PeerException {
	
	private static final long serialVersionUID = 1L;
	
	private static final String exMsg = "Password for admin-account on YaCy-peer is wrong";
	
	private String passwordMD5Hex = null;
	
	public PLoginWrongEx(String passwordMD5Hex) {
		super(exMsg);
		this.passwordMD5Hex = passwordMD5Hex;
	}
	
	public String getPasswordMD5Hex() { return this.passwordMD5Hex; }
}
