/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package yacy.exceptions;

import yacy.Peer;

public class PeerException extends Exception {
	
	private static final long serialVersionUID = 1L;
	
	private Peer peer = null;
	
	public PeerException(String message) {
		super(message);
	}
	
	public PeerException(String message, Throwable cause) {
		super(message, cause);
	}
	
	public PeerException(String message, Peer peer) {
		super(message);
		this.peer = peer;
	}
	
	public Peer getPeer() { return this.peer; }
	public void setPeer(Peer peer) { this.peer = peer; }
}
